package de.opalpiraten.scenepainter.gui;
import javax.swing.filechooser.*;
import java.io.File;
import de.opalpiraten.scenepainter.sys.*;
import de.opalpiraten.scenepainter.gui.render.*;

/**
 * Wrapper around the SuffixFilter, because someone produced a name
 * collsion between javax.swing.filechooser.FileFilter and 
 * java.io.FileFilter
 */
public class ChooserSuffixFilter extends FileFilter {
 
  private SuffixFilter sf;
  
  /**
   * Create a new chooser
   * @param suffix see SuffixFilterClass
   */
  public ChooserSuffixFilter(int suffix) {
    sf = new SuffixFilter(suffix);
  }
  
  public ChooserSuffixFilter(int suffix, boolean d) {
     sf = new SuffixFilter(suffix,d);
  }
   
  
  public boolean accept (File f) {
    return sf.accept(f);
  }
  
  public String getDescription() {
    return sf.getDescription();
  }
}
